> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Single Withdrawal

> Gets the orchestrator signature to perform a withdrawal from The Compact



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator.json post /withdrawals
openapi: 3.0.2
info:
  title: Rhinestone Orchestrator API
  version: 1.0.0
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /withdrawals:
    post:
      tags:
        - Withdrawals
      summary: Request Single Withdrawal
      description: Gets the orchestrator signature to perform a withdrawal from The Compact
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            description: Rhinestone API key
        - name: x-api-version
          in: header
          schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version (YYYY-MM.name). Will become required in a future
              release.
            example: 2026-01.alps
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                account:
                  type: string
                chainId:
                  type: number
                tokenAddress:
                  type: string
                amount:
                  type: integer
                  format: int64
                recipient:
                  type: string
              required:
                - account
                - chainId
                - tokenAddress
                - amount
                - recipient
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  allocatorData:
                    type: string
                    pattern: ^0x[a-fA-F0-9]*$
                  transferDetails:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int64
                      nonce:
                        type: integer
                        format: int64
                      expires:
                        type: integer
                        format: int64
                      recipients:
                        type: array
                        items:
                          type: object
                          properties:
                            claimant:
                              type: integer
                              format: int64
                            amount:
                              type: integer
                              format: int64
                          required:
                            - claimant
                            - amount
                    required:
                      - id
                      - nonce
                      - expires
                      - recipients
                required:
                  - allocatorData
                  - transferDetails
                description: Successfully retrieved a compact signature
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          description: Error message
                          example: Invalid input
                        context:
                          nullable: true
                          description: Additional error context
                      required:
                        - message
                  traceId:
                    type: string
                    description: Trace ID
                    example: eb0ba4657f36364b33ec565c15f98368
                required:
                  - errors
                  - traceId
                description: Invalid request parameters
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message describing the server-side issue
                    example: An unknown error occurred
                required:
                  - error
                description: Server error

````